code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2541-1
#
# Security announcement date: 2015-03-24 00:00:00 UTC
# Script generation date: 2017-01-01 21:04:23 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - linux-image-3.2.0-79-omap:3.2.0-79.115... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2015/USN-2541-1.sh | Shell | mit | 1,906 |
export LC_CTYPE=POSIX
| philippeback/dotfiles | locale8.sh | Shell | mit | 23 |
python3 -m nlpipe.restserver -p 5001 -H 0.0.0.0 /tmp/nlpipe-data &
python3 -m nlpipe.worker /tmp/nlpipe-data nlpipe.modules.corenlp.CoreNLPLemmatizer nlpipe.modules.test_upper.TestUpper
wait
| vanatteveldt/nlpipe | docker/run_server.sh | Shell | mit | 192 |
#!/bin/bash
cp $RECIPE_DIR/test_fft.py numpy/fft/tests
if [ $PRO == 1 ]
then # MKL
LLC=numpy/linalg/lapack_litemodule.c
$REPLACE "/*MARK1*/" "@INIT_ANACONDA@" $LLC || exit 1
$REPLACE "/*MARK2*/" "init_anaconda();" $LLC || exit 1
$SYS_PREFIX/bin/insert_license --insert=$LLC -pm || exit 1
$REPLACE... | pitrou/conda-recipes | numpy-1.10.0/build.sh | Shell | mit | 1,009 |
#!/usr/bin/env bash
apt-get -qq install php-pear php5-dev re2c libpcre3-dev > /dev/null
if [[ ! -f /etc/php5/mods-available/rar.ini ]]; then
echo "" > /etc/php5/mods-available/rar.ini
pear config-set php_ini /etc/php5/mods-available/rar.ini > /dev/null && yes "" | pecl -q install -f rar > /dev/null
if [... | alixaxel/halBox | packages/ubuntu/trusty/php5/php5-rar.sh | Shell | mit | 599 |
#!/bin/bash -ev
# Linux From Scratch
# Chapter 5: Constructing a Temporary System
# Section 8: Libstdc++-5.2.0
#####################################################################
#
# Note:
# Libstdc++-5.2.0 is part of the gcc package/tarball
#
#####################################################################
so... | pajamapants3000/LFS_scripts | scripts/5.080_libstdc++.sh | Shell | mit | 990 |
#!/usr/bin/env bash
curl "https://awscli.amazonaws.com/awscli-exe-linux-x86_64.zip" -o "awscliv2.zip"
unzip awscliv2.zip
sudo ./aws/install --update
rm awscliv2.zip
rm -rf aws
| mapitman/linux-setup | generic/aws.sh | Shell | mit | 177 |
#!/usr/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --mem-per-cpu=8G
#SBATCH --time=2:00:00
#SBATCH --job-name=combineThemAll
module load RAxML
if [ ! -f expected ]; then
bash jobs/make_expected_file.sh
fi
EXPECTEDNAMES=expected
if [ -f config.txt ]; then
source config.txt
else
echo "need config file to... | 1KFG/Phylogenomics | jobs/05_combine.sh | Shell | mit | 1,155 |
if [ $# -eq 3 ]
then
travis encrypt-file mobile_app/android/app/release.keystore --add
travis encrypt MYAPP_RELEASE_KEY_ALIAS=$1 --add env.global
travis encrypt MYAPP_RELEASE_STORE_PASSWORD=$2 --add env.global
travis encrypt MYAPP_RELEASE_KEY_PASSWORD=$3 --add env.global
echo "stored";
else
echo "Should take 3 pa... | youennPennarun/agorask | configure_keystore_on_travis.sh | Shell | mit | 374 |
#!/bin/bash
set -e
TEST_PROG_DIR="../"
MAKE="make"
cd ${TEST_PROG_DIR} && \
${MAKE}
| endadul/simple-grader | grader/build.sh | Shell | mit | 88 |
#! /bin/bash
stty 0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0:0 -F /dev/ttyUSB0; stty -g -F /dev/ttyUSB0
stty 115200 -F /dev/ttyUSB0; stty -g -F /dev/ttyUSB0
stty cs8 -F /dev/ttyUSB0; stty -g -F /dev/ttyUSB0
stty -cstopb -F /dev/ttyUSB0; stty -g -F /dev/ttyUSB0
stty -parenb -F /dev/ttyUSB0; st... | firepick1/FireFuse | usb0.sh | Shell | mit | 342 |
#!/bin/bash
# Immediately exit script on first error
set -e -o pipefail
# Explanation
#
# If a command fails, set -e will make the whole script exit, instead of
# just resuming on the next line. If you have commands that can fail
# without it being an issue, you can append || true or || : to suppress
# this behavior ... | basimilch/basimilch-app | .travis_tag.sh | Shell | mit | 7,263 |
#! /bin/bash
if [ -z $1 ]; then
echo "Please supply an argument (export or import)." >&2
exit 1
fi
username=reserver
dbname=reserver
dir=$(dirname "$(readlink -f "$0")")
case $1 in
export)
mysqldump -u $username -p $dbname > $dir/reserver.sql
exit 1
;;
import)
mysql -... | soudy/MLReserver | dbutil.sh | Shell | mit | 463 |
#!/usr/bin/env bash
set -ex
sudo $(aws ecr get-login --no-include-email --region us-east-2)
AWS_HOST_UID=500
sudo docker build --build-arg "HOST_UID=${AWS_HOST_UID}" -t ithemal-aws:latest "$(dirname $0)"
sudo docker tag ithemal-aws:latest 654586875650.dkr.ecr.us-east-2.amazonaws.com/ithemal:latest
sudo docker push ... | ithemal/Ithemal | docker/docker_build_aws.sh | Shell | mit | 380 |
#!/bin/sh
# Add boost lilb to g++ image
# -t defines the name for the created images
docker build -t biz/gccboostlatest . | Zuehlke/BiZEPS | buildTools/gccboostlatest/buildImage.sh | Shell | mit | 122 |
#!/bin/bash
mongod --config /data/mongodb.conf
| Fuss04/study-app-website | start_mongo.sh | Shell | mit | 47 |
#!/bin/bash
echo
echo -e "$YELLOW--->Enablinging Duck DNS in ATK Sites conf...$ENDCOLOR"
ATKCONFFILE='/etc/nginx/sites-available/AtoMiC-ToolKit-configured-sites'
# Check if the sites file is present
if [[ -f $ATKCONFFILE ]]; then
for i in ${DOMAINNAME//,/ }; do
# Loop each of the duckdns domains and add it
... | TommyE123/AtoMiC-ToolKit | utils/duckdns/duckdns-domain-add.sh | Shell | mit | 926 |
#!/bin/bash
# for ANY state transition.
# "notify" script is called AFTER the
# notify_* script(s) and is executed
# with 3 arguments provided by keepalived
# (ie don't include parameters in the notify line).
# arguments
# $1 = "GROUP"|"INSTANCE"
# $2 = name of group or instance
# $3 = target state of transition
# ... | genti-t/b-kube | roles/kube-controller/files/keepalived_notify.sh | Shell | mit | 869 |
cd /home/alex/Desktop/steemitbots/reblogger-bot
while :
do
nodejs reblogger-bot.js
sleep 10
done
| Siko91/steemitbots | reblogger-bot/RUN-REBLOGGER-BOT.sh | Shell | mit | 100 |
# === {{CMD}}
# === {{CMD}} -f|--force
gemrc () {
local +x TEMPLATE="$THIS_DIR"/templates/gemrc
if [[ -f configs ]]; then
local +x TARGET=configs/gemrc.yaml
else
local +x TARGET=config/gemrc.yaml
fi
mkdir -p "$(dirname "$TARGET")"
if [[ "$@" == *-f* || "$@" == *--force* ]]; then
rm -f "$TARGE... | da99/ruby_setup | bin/public/gemrc/_.sh | Shell | mit | 509 |
env DYLD_INSERT_LIBRARIES=./patch.dylib "/Applications/Google Chrome.app/Contents/MacOS/Google Chrome"
| Leask/Fix-Chrome-Crashes-with-OS-X-10.10.2 | run.sh | Shell | mit | 103 |
#!/usr/bin/sh
#================================================================
# HEADER
#================================================================
#% SYNOPSIS
#+ mkmasks.sh
#%
#% DESCRIPTION
#% Creates the "mask" files used to modify the default
#% kickstart files from Fedora in order to create the
... | RobbHendershot/TanandaOS | bin/mkmasks.sh | Shell | mit | 1,655 |
#!/bin/bash
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# PROMPT STRING COLORS
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# 1. NONE
export ps_none='\[\033[0m\]'
export ps_none_bold='\[\033[1m\]'
# 30. BLACK
export ps_black='\[\033[0;30m\]'
expo... | americanhanko/dotfiles | helpers/colors.sh | Shell | mit | 2,053 |
#!/bin/bash
echo "Checking for Java ..."
JAVA_CMD="java"
if [ -n "${JAVA_HOME+x}" ]; then
JAVA_CMD="${JAVA_HOME}/bin/java"
fi
$JAVA_CMD -version
if [ $? -ne 0 ]; then
echo '------------------- ERROR -------------------'
echo 'RMCastPlugin.bar requires Java'
exit 1
fi
echo 'Java found'
if [ -n "${GATEWAY_RO... | isis-ammo/ammo-gateway | RMCastPlugin/rmcastplugin.sh | Shell | mit | 1,194 |
dbrootpwd="123456"
apt-get install libaio-dev
DOWN_ADDR=https://downloads.mariadb.org/f
[ -d "/lib64" ] && { SYS_BIT_a=x86_64;SYS_BIT_b=x86_64; } || { SYS_BIT_a=x86;SYS_BIT_b=i686; }
LIBC_VERSION=`getconf -a | grep GNU_LIBC_VERSION | awk '{print $NF}'`
LIBC_YN=`echo "$LIBC_VERSION < 2.14" | bc`
[ $LIBC_YN == '1' ] &&... | kurotokiya/docker-nginx-php | src/mariadb-10.0.17.sh | Shell | mit | 5,652 |
#!/usr/bin/env bash
# cd
#
# shellcheck shell=bash
# vi: set ft=bash
#
# Override the cd() function to implement auto-switching of go version and
# pkgset when changing into a directory.
#
# load dependencies
dep_load()
{
local srcd="${BASH_SOURCE[0]}"; srcd="${srcd:-${(%):-%x}}"
local base="$(builtin cd "$(di... | markeissler/gvm2 | scripts/env/cd.sh | Shell | mit | 9,219 |
#!/usr/bin/env bash
cd ..
find . -type f \( -name "*.cpp" -or -name "*.h" -or -name "*.txt" -or -name "*.sh" -or -name "*.cmake" -or -name "*.inl" -or -name "*.hpp" \) -exec bash -c '
if ! (enca "{}" -L russian | grep -q "7bit ASCII characters") ; then
echo "File '{}'"
enca "{}" -L russian
fi
' -- {} \;
| sever90b41v/k52 | tools/encoding.sh | Shell | mit | 320 |
# extension
pip3 install jupyter_contrib_nbextensions
jupyter contrib nbextension install --user
jupyter notebook --generate-config
# vim-extension
mkdir $(jupyter --data-dir)/nbextensions/usability
cd $(jupyter --data-dir)/nbextensions/usability
git clone https://github.com/lambdalisue/jupyter-vim/binding.git vim_bin... | tanutarou/dotfiles | python_env/jupyter_ext.sh | Shell | mit | 352 |
function hmm() {
cat <<EOF
Run "m help" for help with the build system itself.
Invoke ". build/envsetup.sh" from your shell to add the following functions to your environment:
- lunch: lunch <product_name>-<build_variant>
Selects <product_name> as the product to build, and <build_variant> as the vari... | termiwon/ohz_env | bin/envsetup.sh | Shell | mit | 48,985 |
#!/bin/bash
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
nimvm_has() {
type "$1" > /dev/null 2>&1
}
METHOD=${METHOD:-}
NIMVM_DIR=${NIMVM_DIR:-$HOME/.nimvm}
nimvm_latest_version() {
echo "v0.3.0"
}
#
# Outputs the location to NIMVM depending on:
# * The availability of $NIMVM_SOURCE
# * The method use... | ekarlso/nim-vm | scripts/install.sh | Shell | mit | 5,369 |
#!/bin/sh
#
# Python
#
# Installs Python using Homebrew
brew update
brew install python
brew install python3
# Upgrade pip and setuptools
export PIP_REQUIRE_VIRTUALENV=false
pip2 install --upgrade pip setuptools
pip3 install --upgrade pip setuptools
# Additional dependencies
#libsdl required for pygame
brew install ... | ciaronnixon/dotfiles | python/install.sh | Shell | mit | 604 |
#!/bin/bash
WEBSERVER_PID=".xsp4.pid"
shutdown_webserver()
{
echo "Shutting down webserver ..."
kill $(cat "$WEBSERVER_PID")
rm "$WEBSERVER_PID"
}
shutdown_webserver | csf-dev/CSF.Screenplay | Tools/Stop-webserver.sh | Shell | mit | 174 |
#!/bin/bash
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
kubectl create -f ${DIR}/php-nginx-app.yml
nodePort=$(kubectl get svc php-nginx-svc -o template --template="{{(index .spec.ports 0).nodePort}}")
externalIP=$(kubectl get no -o template --template="{{(index .items 0).metadata.name}}")
echo "---"
echo ... | b00giZm/kubernetes-php-nginx | kubernetes/kube-up.sh | Shell | mit | 399 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-3040-1
#
# Security announcement date: 2014-09-30 00:00:00 UTC
# Script generation date: 2017-01-01 21:07:04 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: armv7l
#
# Vulnerable packages fix on version:
# - rsyslog:5.8.11-3+deb7u1
#
# Last ve... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/armv7l/2014/DSA-3040-1.sh | Shell | mit | 617 |
#!/bin/bash
cd `dirname $0`
./stop_webserver.sh
while [ "$(qstat -q webgrid-generic | wc -l)" -ge 3 ]; do
sleep 1
done
./start_webserver.sh
| sitic/watchr | scripts/restart_webserver.sh | Shell | mit | 144 |
#!/usr/bin/env bash
if ! [ -x "$(command -v cqlsh)" ]; then
echo "Could not create database."
echo "If you don't have Apache Cassandra installed and running, it's just a file you download and unpack. Go to https://cassandra.apache.org/ and download Cassandra version 2 for your OS (not version 3)."
echo "Edit yo... | amrodrigues/testcaseless | conf/createdb.bash | Shell | mit | 610 |
#!/bin/bash
. ./config
#download rpmrebuild from https://sourceforge.net/projects/rpmrebuild/
rpmrebuild -pe ./builds/backup-tools-${VERSION_FAKE}.noarch.rpm
mv -f ~/rpmbuild/RPMS/noarch/backup-tools-${VERSION_FAKE}.noarch.rpm ./builds/backup-tools-${VERSION_FAKE}.noarch.rpm
cd .. | vistoyn/backup-tools | rpm.sh | Shell | mit | 285 |
#!/bin/bash
set -e
echo "Running travis travis-setup-user.sh"
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
# Use travis commit
SETUP_VERSION=${TRAVIS_COMMIT_RANGE##*...}
## Install Ansible 1.9.4
ANSIBLE_VERSIONS[0]="1.9.4"
INSTALL_TYPE[0]="pip"
ANSIBLE_V1_PATH="${ANSIBLE_VERSIONS[0]}" # v1
## Install An... | AutomationWithAnsible/ansible-setup | example/travis-setup-user.sh | Shell | mit | 1,030 |
#! /bin/bash
# FE - November 17, 2015 - Compendium of physical media data recovery techniques.
# ffplay -fs -f lavfi smptehdbars=size=sxga
# ffmpeg -f lavfi -i smptehdbars=size=vga -t 1 -r 1 tv_bars.png
# Thursday, March 23 2017 - TV snow, PAL or NTSC size at 12-15fps is more "natural-looking" when fullscreen.
# ffplay... | optimiz/scripts | dvddatarecovery.sh | Shell | mit | 13,016 |
#!/usr/bin/env bash
#
# Install ssh hostname Bash completion
# from https://unix.stackexchange.com/a/181603/148498
here=$(cd $(dirname $BASH_SOURCE[0]); echo $PWD)
ssh_comment='install ssh hostname completion'
if ! grep -q "$ssh_comment" ~/.profile
then
echo 'Installing ssh hostname Bash completion'
# first writ... | branning/dotfiles | scripts/bash_completion.d/ssh.sh | Shell | mit | 922 |
#!/bin/sh
set -e
# Example init script, this can be used with nginx, too,
# since nginx and unicorn accept the same signals
# Feel free to change any of the following variables for your app:
TIMEOUT=${TIMEOUT-60}
APP_ROOT=/home/rails/my-app
PID=$APP_ROOT/tmp/pids/unicorn.pid
CMD="$APP_ROOT/bin/unicorn -c /etc/my-app/u... | Jaicob/rails-docker | rails-nginx-unicorn/unicorn_init.sh | Shell | mit | 1,383 |
#!/bin/sh
# Resync a Yubikey TOTP device to IAM
set -eu
ACCOUNT_ARN=$(aws sts get-caller-identity --query Arn --output text)
# Assume that the final portion of the ARN is the username
# Works for ARNs like `users/<user>` and `users/engineers/<user>`
USERNAME=$(echo "$ACCOUNT_ARN" | rev | cut -d/ -f1 | rev)
ACCOUNT_... | 99designs/aws-vault | contrib/scripts/aws-iam-resync-yubikey-mfa.sh | Shell | mit | 814 |
#!/bin/bash
read -d '' USAGE <<_EOF_
slurm.sh, version 0.3, (c) Andrey Sobolev, 2012-13
Submits SIESTA job to SLURM queue
usage: -option1=value1 ... -optionX=valueX
options:
-d=* --dir=* Directory in which to submit job (default: current)
-N=* --nodes=* Number of nodes needed to allocate (default... | ansobolev/shs | shs/slurm/slurm.sh | Shell | mit | 2,282 |
#!/bin/bash
# simple script to reinitialize all jobs for a new round in the MainJob_dir directory.
#---------------------------------
# source common functions:
source Scripts/common_functions.sh
# check for master_config_file:
read_master_config_file Setup_and_Config
# --Check for existing directories:
check_d... | s-gordon/MD_workflow_martini_coarse_grain | initialize_new_round.sh | Shell | mit | 1,929 |
#!/usr/bin/env bash
echo "$(lsb_release -a)"
sudo apt-get --yes update &> /dev/null
sudo apt-get --yes install language-pack-pl
sudo apt-get --yes install check
sudo apt-get --yes remove clang
sudo apt-get --yes remove cmake
sudo apt-get --yes install clang-3.8
sudo apt-get --yes install libyajl-dev
sudo apt-get --ye... | Eraden/kore_query | .circle/install.sh | Shell | mit | 1,685 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2361-1
#
# Security announcement date: 2014-09-24 00:00:00 UTC
# Script generation date: 2017-01-04 21:04:14 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - libnss3:3.17.1-0ubuntu0.12.04.1
#
# ... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/x86_64/2014/USN-2361-1.sh | Shell | mit | 644 |
# Autogenerated script from write_samtools_script.R
# date Mon Oct 9 13:53:49 2017
# make sure directory paths exist before running script
#!/bin/bash
#$ -S /bin/bash
#$ -pe smp 3
#$ -cwd
#$ -N samtools-array
#$ -j y
#$ -l h_vmem=19G
#$ -t 1-8
module load bioinformatics/samtools/1.3.1
module load bioinformatics/pic... | uhkniazi/BRC_NeuralTube_Miho | S126/AutoScripts/samtools.sh | Shell | mit | 1,450 |
#!/bin/sh
echo Launching WinMergeU.exe: $1 $2
"WinMergeU.exe" -e -ub -dl "Base" -dr "Mine" "$1" "$2"
| MattSeen/dotfiles | bin/libs/winmerge.sh | Shell | mit | 101 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DLA-130-1
#
# Security announcement date: 2015-01-08 00:00:00 UTC
# Script generation date: 2017-01-01 21:08:51 UTC
#
# Operating System: Debian 6 (Squeeze)
# Architecture: i386
#
# Vulnerable packages fix on version:
# - firebird2.1:2.1.3.18185-0.ds1-11+sque... | Cyberwatch/cbw-security-fixes | Debian_6_(Squeeze)/i386/2015/DLA-130-1.sh | Shell | mit | 669 |
#!/bin/sh
## exec shell name
EXEC_SHELL_NAME=dat-netty\.sh
## service name
SERVICE_NAME=tyust-dat-netty
## service dir
SERVICE_DIR=/usr/local/workspace/dat-netty
mkdir $SERVICE_DIR
cd $SERVICE_DIR
rm -rf logs
mkdir logs
| craware/webapp-tyust | tyust-dat-netty/bin/before1-dat-netty.sh | Shell | mit | 227 |
#!/bin/bash
SCRIPT_NAME=$(basename $BASH_SOURCE)
SCRIPT_LOGFILE="./logs/"$(basename -s .sh $BASH_SOURCE)".log"
SCRIPT_ENVFILE="./logs/"$(basename -s .sh $BASH_SOURCE)".env"
mkdir -p ./logs && chmod 755 ./logs
echo "running "$SCRIPT_NAME
# tested: works on ubuntu 14.04.3 gnome
# see http://cordova.apache.org/docs/e... | dchapkine/ubuntu-desktop-post-install | install_cordova_ubuntu_platform.sh | Shell | mit | 1,196 |
source common/functions.sh
# PHP
if which php &> /dev/null; then
msg_checking "php"
else
msg_install "php" "brew install php"
brew tap homebrew/dupes
brew tap homebrew/versions
brew tap homebrew/homebrew-php
brew install php56
msg_ok "OK"
fi
# Composer
if which composer &> /dev/null; then
... | fabriciofmsilva/dotfiles | php/global.sh | Shell | mit | 729 |
#!/bin/bash
python custom_scripts/get_workspace_share_details.py
| kbase/metrics | bin/get_workspace_share_details.sh | Shell | mit | 66 |
#!/usr/bin/env bash
set -eou pipefail
XDG_CONFIG_HOME="${XDG_CONFIG_HOME:=$HOME/.config}"
mkdir -p "${XDG_CONFIG_HOME}"
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \
https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
vim +PlugInstall +Pl... | faun/dotfiles | install_vim_plugged.sh | Shell | mit | 346 |
#! /bin/bash
DATASET="GANGLIONS"
ARCH="FCRN-A"
HP="sw_extr_npi"
FILE=${DATASET}_${ARCH}_${HP}
sh ../../../install_dgx1.sh
export PYTHONPATH=${PYTHONPATH}:../../../src/
unbuffer python ../../../src/softwares/fcrn_validation/add_and_run_job.py \
--dataset $DATASET \
--cnn_architecture $ARCH \
--cytomine_working_path tm... | urubens/CellCounting | experiments/fcrn-a/ganglions/cv_sw_extr_npi.sh | Shell | mit | 686 |
#!/usr/bin/env bash
set -e
set -x
wget -O ~/minio https://dl.min.io/server/minio/release/linux-amd64/minio
chmod +x ~/minio
export MINIO_ACCESS_KEY=minio
export MINIO_SECRET_KEY=miniostorage
mkdir -p ~/s3
~/minio --version
~/minio server ~/s3 &
| mbr/simplekv | .travis/start_minio.sh | Shell | mit | 249 |
#!/bin/sh
PRGNAM=mcwm
source ./$PRGNAM.info || exit 1
SRCVER=${VERSION/_/-}
[ -e config.h ] && mv -b config.h config.h.old
tar xvfO $PRGNAM-$SRCVER.tar.bz2 --wildcards \*/config.h > config.h
| panosmdma/SlackOnly-SlackBuilds | desktop/mcwm/extractconfig.sh | Shell | mit | 195 |
#!/bin/bash
lastmod ()
{
if [ `uname` = "Darwin" ]; then
find . -type f -print0 | xargs -0 stat -f "%m %N" | sort -rn | head -5 | cut -f2- -d" ";
else
if [ `uname` = "Linux" ]; then
find $1 -type f -print0 | xargs -0 stat --format '%Y :%y %n' | sort -nr | cut -d: -f2- | head;
... | patbeagan1/libbeagan | scripts/sysadmin/lastmod.sh | Shell | mit | 422 |
#!/bin/bash
if [ $1 == "prod" ]; then
npm run package
npm run live
elif [ $1 == "dev" ]; then
npm start
else
echo "Invalid argument given. Should be either 'prod' or 'dev'."
fi
| mentii/mentii | Frontend/runFrontend.sh | Shell | mit | 182 |
#!/bin/sh
mkdir /rabbitssl/ca
cp /usr/local/bin/openssl.cnf /rabbitssl/ca
cd /rabbitssl/ca/
mkdir certs/
mkdir private
chmod 700 private
echo 01 > serial
touch index.txt
openssl req -x509 -config openssl.cnf -newkey rsa:4096 -days 365 -out cacert.pem -outform PEM -subj /CN=$1/ -nodes
openssl x509 -in cacert.pem -out ... | fpommerening/MicroserviceRabbitMQ | SSL/dockerfiles/ca/ca.sh | Shell | mit | 344 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-2948-1
#
# Security announcement date: 2014-06-04 00:00:00 UTC
# Script generation date: 2017-01-15 21:07:40 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - python-bottle:0.10.11-1+deb7u1
# ... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/x86_64/2014/DSA-2948-1.sh | Shell | mit | 794 |
#!/bin/bash
set -ex
# dist should already exist.
mkdir -p dist
docker-compose run \
-e ROUTER_BASE_PATH='tanqueReact/' \
--rm web bash -c "\
./node_modules/.bin/webpack -d \
--config ./config/webpack/github-pages.js"
cd dist \
&& git init \
&& git remote add github git@github.com:NullVoxPopuli/tanqueReac... | NullVoxPopuli/tanqueReact | scripts/ci/deploy.sh | Shell | mit | 784 |
# Install Vim
sudo apt-get install vim
# Install cscope
sudo apt-get install cscope
| nhtvinh/environment_setup | scripts/install/04_vim.sh | Shell | mit | 85 |
#!/bin/bash -l
#SBATCH
#SBATCH --job-name=glm_2_nodes_2_calls_parallel.sh
#SBATCH --time=03:00:00
#SBATCH --mail-type=begin,end
#SBATCH --mail-user=karoraw1@jhu.edu
#SBATCH --nodes=2
#SBATCH --partition=parallel
module load netcdf/intel/4.3.3.1 glm
cd /home-3/karoraw1@jhu.edu/work/kaw/GLM_Wrapper/GLM_Executables/exam... | karoraw1/GLM_Wrapper | MARCCTEST/glm_2_nodes_2_calls_parallel.sh | Shell | mit | 482 |
#!/bin/bash
#PRODUCT: release
#SDEP:
#HDEP: sfs_fexec_svalid.sh sfs_sexec_fvalid.sh
source ../helper/common.sh
| amplify-education/rcubic | examples/release/sfs/sfs_succeed_again.sh | Shell | mit | 113 |
#!/bin/sh
# CYBERWATCH SAS - 2016
#
# Security fix for RHSA-2013:1285
#
# Security announcement date: 2013-09-25 16:20:07 UTC
# Script generation date: 2016-05-12 18:11:35 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - openstack-keystone.noarch:2013.1.3-2.el... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2013/RHSA-2013:1285.sh | Shell | mit | 961 |
#!/bin/bash
java -Xmx1024M -Xms1024M -jar /minecraft/`find /minecraft/ -name "craftbukkit*.jar" | xargs basename`
| paulchoi/raspberryjuice | start.sh | Shell | mit | 115 |
#!/usr/bin/env bash
#
# Install sublime text related stuff.
echo
echo "#################################"
echo "#"
echo "# Installer: sublime text"
echo "#"
echo "#################################"
echo
echo "Downloading and installing Sublime Text Package Control ..."
package_control="https://packagecontrol.io/Packa... | albalitz/dotfiles | sublimetext/install.sh | Shell | mit | 691 |
#!/usr/bin/env bash
set -e
script_path=$(dirname "$0")
project_root=$script_path/../..
cat << END_OF_SOURCE > "$1/$2.2.hs"
{-# LANGUAGE BangPatterns #-}
import Data.Maybe
import Data.Int
import Data.List
import Data.Char
import Control.Exception
import Control.DeepSeq
import Text.Printf
import $(basename $2 .hs)
$(c... | redien/reuse-lang | compiler-backend/haskell/compile-stdin-test.sh | Shell | cc0-1.0 | 561 |
#!/usr/bin/env bash
NODE="$1"
shift
CPUS="$((NODE*3))-$((NODE*3+2))"
taskset -c "${CPUS}" env LD_LIBRARY_PATH=/home/models/VIATRA-Generator/Framework/hu.bme.mit.inf.dslreasoner.viatra2logic/lib:/home/models/VIATRA-Generator/olvers/SMT-Solver/com.microsoft.z3/lib:/home/models/VIATRA-Generator/Solvers/ILP-Solver/hu.bme.m... | viatra/VIATRA-Generator | Tests/MODELS2020-CaseStudies/case.study.pledge.run/run.sh | Shell | epl-1.0 | 490 |
#!/bin/bash
#
# This script will fire up PS3 Media Server using the Java Runtime
# Environment that is provided in the PlugIns directory.
#
# Set this to true if you want to hide the dock icon by default
hide_dock_icon=false
DIRNAME=`dirname "$0"`
# By default Mac OS X LC_ALL is set to "C", which means files with sp... | lightglitch/ps3mediaserver | src/main/external-resources/osx/pms.sh | Shell | gpl-2.0 | 1,576 |
compass compile -e production --force
cp -r stylesheets/ build/stylesheets/
cp app.js build/app.js
cp index.html build/index.html
cp knitting.svg build/knitting.svg
s3_website push | ArtCraftCode/knitting-ipsum | build.sh | Shell | gpl-2.0 | 181 |
#!/bin/bash
echo $USER killing java processes;
ps uxwwww|fgrep java|fgrep -v fgrep
ps uxwwww|fgrep java|fgrep -v fgrep|cut -c 9-15|xargs kill
ps uxwwww|fgrep java|fgrep -v fgrep|cut -c 9-15|xargs kill -9
echo $USER killing Xvfb processes;
ps uxwwww|fgrep Xvfb|fgrep -v fgrep
ps uxwwww|fgrep Xvfb|fgrep -v fgrep|cut -c ... | grapesmoker/geogame | resources/sh/kill.sh | Shell | gpl-2.0 | 603 |
#!/usr/bin/env bash
##########################################################################################################################
## CCS SCRIPT TO PREPROCESS THE DTI SCAN (INTEGRATE AFNI, FS AND FSL)
##
## R-fMRI master: Xi-Nian Zuo. Dec. 20, 2014.
##
## Last Modified: Dec., 16, 2015.
## Email: zuoxn@psyc... | zuoxinian/CCS | H1/ccs_02_dtipostproc.sh | Shell | gpl-2.0 | 3,856 |
# Escape Characters for nice output
# \033 ascii ESCape
# \033[<NUM>G move to column <NUM> (linux console, xterm, not vt100)
# \033[<NUM>C move <NUM> columns forward but only upto last column
# \033[<NUM>D move <NUM> columns backward but only upto first column
# \033[<NUM>A move <NUM> ro... | bachmmmar/velux_on_raspberry | scripts/checkSuccess.sh | Shell | gpl-2.0 | 3,194 |
echo "Testing non-master onto"
logit checkout -b integration/base
logit reset --hard origin/master
logit reset --hard HEAD^1
logit push -u origin integration/base
logit checkout $testbranch
logit reset --hard origin/integration/base
add_commit_file integration_test
# This should do nothing:
! ( echo n | run_cmd $sl... | Elastifile/git-sling | server/test/sanity/tests/onto.sh | Shell | gpl-2.0 | 2,240 |
#!/bin/sh
#
# Copyright (c) 2006 Yann Dirson
#
test_description='Exercise pushing patches applied upstream.
Especially, consider the case of a patch that adds a file, while a
subsequent one modifies it, so we have to use --merged for push to
detect the merge. Reproduce the common workflow where one does not
specify ... | miracle2k/stgit | t/t1200-push-modified.sh | Shell | gpl-2.0 | 1,947 |
#!/bin/sh
LOCAL_PATH=`dirname $0`
LOCAL_PATH=`cd $LOCAL_PATH && pwd`
ln -sf libsdl-1.2.so $LOCAL_PATH/../../../obj/local/armeabi-v7a/libSDL.so
ln -sf libsdl-1.2.so $LOCAL_PATH/../../../obj/local/armeabi-v7a/libpthread.so
ln -sf libsdl_image.so $LOCAL_PATH/../../../obj/local/armeabi-v7a/libSDL_image.so
ln -sf libsdl_... | lubomyr/e-uae | android/AndroidBuild.sh | Shell | gpl-2.0 | 1,603 |
# Shell functions for unpacking file paths
# vim:sts=3 sw=3 ts=8 et
# Copyright 2015 Andrew Bettison
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at y... | quixotique/shellboost | libsh/pathexplode.sh | Shell | gpl-2.0 | 2,008 |
#!/bin/bash
# Host level monitoring for openvz hosts - not containers
# Author: Amro Diab
# Date: 02/08/2009
# $1 = cmd string
# $2 = hostid
cmdstring=$1
hostid=$2
distro=$3
configfile="/var/amrox/etc/VPS-config"
if [ -f $configfile ]; then
#global functions for fetching data
source $configfile
else
echo "$... | adiabuk/random_scripts | hosting/scripts/monitoring/plugins/check_vz_host.sh | Shell | gpl-2.0 | 3,796 |
#! /bin/sh
# Copyright (C) 2009-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/instdir-prog.sh | Shell | gpl-2.0 | 1,768 |
#!/bin/sh
composer install --optimize-autoloader;
php app/console cache:clear --env=prod --no-debug;
php app/console assets:install web --symlink;
php app/console assetic:dump;
php app/console assetic:dump --env=prod --no-debug;
php app/console doctrine:schema:validate
| VincentChalnot/ComTSo | setup.sh | Shell | gpl-2.0 | 270 |
# Copyright (C) 2008 Richard Hughes <richard@hughsie.com>
#
# Licensed under the GNU General Public License Version 2
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the Lice... | AOSC-Dev/PackageKit | contrib/command-not-found/PackageKit.sh | Shell | gpl-2.0 | 855 |
#!/bin/bash
A=project/obj/code
rm -r $A
mkdir -p $A
mkdir $A/lib
mkdir $A/lib/python2.7
mkdir -p $A/lib/python2.7/freeciv/client
mkdir -p $A/lib/python2.7/ui
cp ../lib/*.py $A/lib/python2.7
cp ../lib/freeciv/*.py $A/lib/python2.7/freeciv
cp ../lib/ui/*.py $A/lib/python2.7/ui
cp ../lib/freeciv/client/*.py $A/lib/python2... | javaxubuntu/freeciv-android | android/copyassets.sh | Shell | gpl-2.0 | 2,836 |
#!/bin/bash
## PREAMBULE
# Ce script est un exemple de faisabilité pour une demande du CNRS dans le cadre du projet My CoRe. Il doit être adapté et configuré pour une utilisation en production par le prestataire, et ne doit pas être considéré comme utilisable tel quel sans expertise préalable dessus
## DESCRIPTION
# ... | CNRS-DSI-Dev/mycore_tools | mycore_files_migrate.sh | Shell | gpl-2.0 | 1,777 |
#! /bin/sh
source ../../../../calligra_xgettext.sh
$EXTRACTRC *.ui *.kcfg >> rc.cpp
calligra_xgettext *.cpp > $podir/plantjplugin.pot
| harshitamistry/calligraRepository | plan/plugins/schedulers/tj/Messages.sh | Shell | gpl-2.0 | 135 |
#!/bin/sh
xsltproc -output $1 $ORACC/lib/scripts/gdf-sort.xsl $1
| oracc/oracc | misc/ood/ood-sort.sh | Shell | gpl-2.0 | 65 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2018-2022 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | gittup/tup | test/t5089-log3.sh | Shell | gpl-2.0 | 1,128 |
#!/bin/bash
./uaputl.exe -i wfd0 sys_cfg_custom_ie 0 0
./uaputl.exe -i wfd0 sys_cfg_custom_ie 1 0
./uaputl.exe -i wfd0 sys_cfg_custom_ie 2 0
./uaputl.exe -i wfd0 sys_cfg_custom_ie 3 0
| Rashed97/android_kernel_sony_marvell | arch/arm/mach-mv88de3100/modules/wlan_sd8782/script/wifidirect/clear_wifidirect_ies.sh | Shell | gpl-2.0 | 184 |
#!/bin/sh
# Copyright (c) 2000, 2014, Oracle and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distrib... | ForcerKing/ShaoqunXu-mysql5.7 | scripts/mysql_config.sh | Shell | gpl-2.0 | 6,554 |
#!/bin/sh
PrintUsage()
{
echo "Usage: $0 -i ip -l user -P password -f from -t to -a"
echo "-i: ip, required"
echo "-l: user, default root"
echo "-P: password, required"
echo "-f: from file, required"
echo "-t: to file, required"
echo "-a: copy to or copy from ip, default copy from"
}
ip=""... | gwq5210/shell_learn | remote_cp.sh | Shell | gpl-2.0 | 1,258 |
#!/bin/sh
# Copyright (C) 2009-2013 OpenWrt.org
. /lib/functions/leds.sh
. /lib/ar71xx.sh
get_status_led() {
case $(ar71xx_board_name) in
alfa-nx)
status_led="alfa:green:led_8"
;;
all0305)
status_led="eap7660d:green:ds4"
;;
antminer-s1)
status_led="antminer-s1:green:system"
;;
antminer-s3)
status_l... | riptidewave93/Openwrt-Z1 | overlay/target/linux/ar71xx/base-files/etc/diag.sh | Shell | gpl-2.0 | 7,245 |
convert images/OCS-226-A.png -crop 1560x4538+159+303 +repage images/OCS-226-A.png
#
#
#/OCS-226.png
convert images/OCS-226-B.png -crop 1463x4530+97+307 +repage images/OCS-226-B.png
#
#
#/OCS-226.png
| jonnymwalker/Staroslavjanskij-Slovar | scripts/cropedges.OCS-226.sh | Shell | gpl-2.0 | 199 |
#!/bin/bash
#################################################
# Algoritmica, Practica 1
# Plot de los algoritmos de cuadraticos
#################################################
# Script de bash para crear una imagen .png con GNU-PLOT
#Variables:
OUTPUT=./Imagenes/cuadraticos.png
TITULO="Comparación de diferentes al... | andreshp/Algoritmica | Practica1/Code/plot/plot_cuadraticos.sh | Shell | gpl-2.0 | 1,291 |
#!/bin/bash
cd $(dirname $0)
./bin/supervisord -n -c supervisord.conf
| frzdian/jaksafe-engine | start_supervisord.sh | Shell | gpl-2.0 | 71 |
#!/bin/bash
# Copyright Statement:
#
# This software/firmware and related documentation ("MediaTek Software") are
# protected under relevant copyright laws. The information contained herein
# is confidential and proprietary to MediaTek Inc. and/or its licensors.
# Without the prior written permission of MediaTek inc. a... | rex-xxx/mt6572_x201 | mediatek/preloader/mem_build.sh | Shell | gpl-2.0 | 13,415 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2013-2020 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | ppannuto/tup | test/t4118-different-dir-removed2.sh | Shell | gpl-2.0 | 1,448 |
#!/usr/bin/sh
#
gcc -Wall $(pkg-config --cflags --libs gstreamer-0.10 gtk+-2.0) gst_test2.c -o gst_test2
| fredix/imotion | src/tests/compile.sh | Shell | gpl-2.0 | 105 |
export PATH=$HOME/userContent/bin:$PATH
npm install -g protractor karma-cli
webdriver-manager update
| slspeek/jenkins-go-projs | install_protractor.sh | Shell | gpl-3.0 | 101 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="6"
pegasus_lite_version_patch="0"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_exit INT TERM EXIT
echo -e "\n################################ Setting up workdir ###############################... | elainenaomi/sciwonc-dataflow-examples | sbbd2016/data/google-cloud/w-11/dags/elaine.n.watanabe/pegasus/example_workflow/20160523T030841+0000/averageratio_6_ID0000020.sh | Shell | gpl-3.0 | 1,092 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.